Package org.pushingpixels.substance.internal.utils.border

# Class SubstanceButtonBorder

java.lang.Object
org.pushingpixels.substance.internal.utils.border.SubstanceButtonBorder

All Implemented Interfaces:
  `Border`, `UIResource`

public abstract class SubstanceButtonBorder extends Object implements Border, UIResource
Base class for button borders in Substance look-and-feel. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceButtonBorder(Class<?> buttonShaperClass)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`getButtonShaperClass()`
Returns the associated button shaper class.
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.border.Border

`getBorderInsets`

## Constructor Details

### SubstanceButtonBorder

public SubstanceButtonBorder(Class<?> buttonShaperClass)
Simple constructor.

Parameters:
  `buttonShaperClass` - The associated button shaper class.

## Method Details

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`

### getButtonShaperClass

public Class<?> getButtonShaperClass()
Returns the associated button shaper class.

Returns:
  The associated button shaper class.